Bug 8452 - negprot reply needs to check vwv vector length.
negprot reply needs to check vwv vector length.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: libsmbclient
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-09-12 19:06 UTC by Jeremy Allison
Modified: 2011-09-15 18:40 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 3.6.1 (1.18 KB, patch)
2011-09-12 19:07 UTC, Jeremy Allison
metze: review+
Details
git-am fix for 3.5.x. (1.18 KB, patch)
2011-09-12 19:11 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-09-12 19:06:15 UTC
cli_negprot_done() needs to check the wvw reply lengths on reply.
Comment 1 Jeremy Allison 2011-09-12 19:07:40 UTC
Created attachment 6880 [details]
git-am fix for 3.6.1

Metze's patch from master back-ported to 3.6.1.
Jeremy.
Comment 2 Jeremy Allison 2011-09-12 19:11:40 UTC
Created attachment 6881 [details]
git-am fix for 3.5.x.

Metze's master fix back-ported to 3.5.x.
Comment 3 Stefan Metzmacher 2011-09-13 06:20:05 UTC
Comment on attachment 6880 [details]
git-am fix for 3.6.1

Looks good
Comment 4 Stefan Metzmacher 2011-09-13 06:21:12 UTC
Comment on attachment 6881 [details]
git-am fix for 3.5.x.

Looks good
Comment 5 Stefan Metzmacher 2011-09-13 06:22:03 UTC
Karolin, please pick for the releases and add cherry-pick information
(the master commit is 85332eb1c721d585e1a33101bddafdca4073e10f)
Comment 6 Karolin Seeger 2011-09-15 18:40:38 UTC
Pushed to v3-5-test and v3-6-test.
Closing out bug report.

Thanks!